| Apache Ignite C++

Public Member Functions | List of all members
ignite::cache::query::ScanQuery Class Reference

Scan query. More...

`#include <query_scan.h>`

## Public Member Functions
| ScanQuery ()
| Default constructor.
| ScanQuery (int32_t part)
| Constructor. More...
int32_t | GetPartition () const
| Get partition to scan. More...
void | SetPartition (int32_t part)
| Set partition to scan. More...
int32_t | GetPageSize () const
| Get page size. More...
void | SetPageSize (int32_t pageSize)
| Set page size. More...
bool | IsLocal () const
| Get local flag. More...
void | SetLocal (bool loc)
| Set local flag. More...
void | Write (binary::BinaryRawWriter &writer) const
| Write query info to the stream. More...

## Detailed Description

Scan query.

## Constructor & Destructor Documentation

## ◆ ScanQuery()

ignite::cache::query::ScanQuery::ScanQuery | ( | int32_t | part | ) |
| inline

Constructor.

Parameters

  part | Partition.

## Member Function Documentation

## ◆ GetPageSize()

int32_t ignite::cache::query::ScanQuery::GetPageSize | ( |  | ) | const
| inline

Get page size.

Returns
  Page size.

## ◆ GetPartition()

int32_t ignite::cache::query::ScanQuery::GetPartition | ( |  | ) | const
| inline

Get partition to scan.

Returns
  Partition to scan.

## ◆ IsLocal()

bool ignite::cache::query::ScanQuery::IsLocal | ( |  | ) | const
| inline

Get local flag.

Returns
  Local flag.

## ◆ SetLocal()

void ignite::cache::query::ScanQuery::SetLocal | ( | bool | loc | ) |
| inline

Set local flag.

Parameters

  val | Value of the flag. If true, query will be executed only on local node, so only local entries will be returned as query result.

## ◆ SetPageSize()

void ignite::cache::query::ScanQuery::SetPageSize | ( | int32_t | pageSize | ) |
| inline

Set page size.

Parameters

  pageSize | Page size.

## ◆ SetPartition()

void ignite::cache::query::ScanQuery::SetPartition | ( | int32_t | part | ) |
| inline

Set partition to scan.

Parameters

  part | Partition to scan.

## ◆ Write()

void ignite::cache::query::ScanQuery::Write | ( | binary::BinaryRawWriter & | writer | ) | const
| inline

Write query info to the stream.

Parameters

  writer | Writer.

The documentation for this class was generated from the following file:

- core/include/ignite/cache/query/query_scan.h